Bug 209627 - [NEW PORT] x11-fonts/firacode: monospace font with programming ligatures
Summary: [NEW PORT] x11-fonts/firacode: monospace font with programming ligatures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-05-18 22:15 UTC by Dave Cottlehuber
Modified: 2016-05-24 02:57 UTC (History)
1 user (show)

See Also:


Attachments
shar v1 (2.29 KB, application/x-shar)
2016-05-18 22:15 UTC, Dave Cottlehuber
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2016-05-18 22:15:01 UTC
Created attachment 170465 [details]
shar v1

# portlint -AC

WARN: Makefile: no ftp/http mirror in MASTER_SITES for users behind a proxy.
0 fatal errors and 1 warning found.


# builds

- fine on amd64 10.3R and 11.0-CURRENT r298793 amd64

# notes

- not entirely clear on whether @fcfontsdir would be more appropriate here
Comment 1 Kurt Jaeger freebsd_committer 2016-05-23 20:05:52 UTC
Can you explain the difference between this port and the other two fira ports ?

www/fira-webfont
x11-fonts/fira
Comment 2 Dave Cottlehuber freebsd_committer 2016-05-23 20:22:00 UTC
sure: it has ligatures specifically designed for programmers, where 2 keystroke pairs like <= && || -> <- != are used for 1 specific glyph or meaning.

This font increases editor & terminal readability dramatically, especially if you use functional programming languages like erlang, elixir, haskell, ocaml, clojure, scala etc where these symbols crop up frequently.

it makes most sense when seen pictorially:
https://raw.githubusercontent.com/tonsky/FiraCode/master/showcases/all_ligatures.png

which compares firacode (with ligatures) and fira mono (the X11/fira version without ligatures).

fira-webfont: https://i.imgur.com/hZNSTHA.png many different weights and styles specifically for browsers and not for console use, & has no no ligatures.
Comment 3 Kurt Jaeger freebsd_committer 2016-05-24 02:57:10 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2016-05-24 02:57:11 UTC
A commit references this bug:

Author: pi
Date: Tue May 24 02:56:57 UTC 2016
New revision: 415759
URL: https://svnweb.freebsd.org/changeset/ports/415759

Log:
  New port: x11-fonts/firacode

  Fira Code is a version of Mozilla's Fira Mono font with additional
  ligatures.

  It is an extension of the Fira Mono font containing a set of ligatures
  for common programming multi-character combinations in languages
  like erlang, elixir, haskell, ocaml, clojure, scala etc where these
  symbols crop up frequently. This is just a font rendering feature:
  underlying code remains ASCII-compatible. This helps to read and
  understand code faster. For some frequent sequences like .. or //,
  ligatures allow us to correct spacing.

  WWW: https://github.com/tonsky/FiraCode

  PR:		209627
  Submitted by:	Dave Cottlehuber <dch@skunkwerks.at>

Changes:
  head/x11-fonts/Makefile
  head/x11-fonts/firacode/
  head/x11-fonts/firacode/Makefile
  head/x11-fonts/firacode/distinfo
  head/x11-fonts/firacode/pkg-descr
  head/x11-fonts/firacode/pkg-plist